jv.rsrc

## Class PuBugReport

- java.lang.Object
- - jv.rsrc.PuBugReport

-     public class PuBugReport
      extends java.lang.Object

  Simple class to send bug reports by email, using the standard email editor of the operating system.
  Author:
    Felix Kaelberer, Konrad Polthier
  Version:
    09.04.07, 1.10 revised (kp) Avoid usage of java.util.Date.
    14.02.07, 1.01 revised (kp) Now 1.1 compatible.
    12.02.07, 1.00 created (fk)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PuBugReport()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `sendEmail()` Call the System's email editor and set recipient, subject and body of the email according to the JavaView bug report standards.
    `static void` | `sendMail(java.lang.String to, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String body)` Launch the default email client of the operating system, and fill fields such as recipients, subject and message body according to the arguments.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PuBugReport

          public PuBugReport()

  - ### Method Detail

    - #### sendEmail

          public static void sendEmail()

      Call the System's email editor and set recipient, subject and body of the email according to the JavaView bug report standards.
      Author:
        Felix Kaelberer
      Version:
        16.02.07, 1.10 revised (kp) Made 1.1 conforming and explicit settings replaced.
        12.02.07, 1.00 created (fk)

    - #### sendMail

          public static void sendMail(java.lang.String to,
                                      java.lang.String cc,
                                      java.lang.String bcc,
                                      java.lang.String subject,
                                      java.lang.String body)

      Launch the default email client of the operating system, and fill fields such as recipients, subject and message body according to the arguments. All strings must be URI conform, so replace spaces with " " etc. All arguments may be "" or null.
      Parameters:
        `to` - Recipient.
        `cc` - Recipient of a copy.
        `bcc` - Recipient of a blind copy.
        `subject` - Subject title.
        `body` - Message body.
      Author:
        Felix Kaelberer
      Version:
        12.02.07, 1.00 created (fk)

"

The software JavaView? is copyright protected. All Rights Reserved.
"